{% extends "elections2021/base.html" %}
{% load wagtailcore_tags %}

{% block content %}
<div class="container container--default pt-8 pb-20">
  <article>
    <header class="w-full">
      <div class="pb-2 mt-10 mb-14">
        <h1 class="head-alt-md md:head-alt-lg head-alt-highlighted max-w-md mb-4">{{ page.title }}</h1>
      </div>
    </header>

    <div class="mb-16 h-full card shadow-none bg-lemon">
      <div class="card__body p-6 sm:p-10">
        <h1 class="head-alt-md card-headline mb-8">O co usilujeme?</h1>
        <div class="content-block">{{ page.reality|richtext }}</div>
      </div>
    </div>

    <div class="mb-20">
      <h2 class="head-alt-md mb-8">Nevěřte lžím a falešným zprávám!</h2>
      <div class="content-block">{{ page.myth|richtext }}</div>
    </div>
  </article>

  {% if page.related_points %}
    <h2 class="head-alt-md mb-8">Řídíme se tím, co máme v programu!</h2>
    <div class="grid grid-cols-1 md:grid-cols-2 lg:grid-cols-3 gap-8 mb-16">
      {% for point in page.related_points %}
        {% include "elections2021/_program_point_block.html" with point=point.value show_archetype_icon=1 %}
      {% endfor %}
    </div>
  {% endif %}

  <h2 class="head-alt-sm mb-8">Sdílet</h2>
  <div class="social-icon-group space-x-0/5 ">
    <a href="https://www.facebook.com/sharer/sharer.php?u={{ page.full_url|urlencode }}"
      onclick="window.open(this.href, 'pop-up', 'left=20,top=20,width=500,height=500,toolbar=1,resizable=0'); return false;"
      class="social-icon social-icon--fill bg-brands-facebook text-white social-icon--5 rounded-none inline-block p-2 h-auto w-8 text-center box-content"><i class="ico--facebook align-middle relative -top-0.5"></i></a>
    <a href="https://twitter.com/intent/tweet?text={{ page.title|urlencode }}&url={{ page.full_url|urlencode }}"
      onclick="window.open(this.href, 'pop-up', 'left=20,top=20,width=500,height=500,toolbar=1,resizable=0'); return false;"
      class="social-icon social-icon--fill bg-brands-twitter text-white social-icon--5 rounded-none inline-block p-2 h-auto w-8 text-center box-content"><i class="ico--twitter align-middle relative -top-0.5"></i></a>
    {# TODO #}
    {# <a href="#" class="social-icon social-icon--fill bg-brands-gmail text-white social-icon--5 rounded-none inline-block p-2 h-auto w-8 text-center box-content"><i class="ico--envelope align-middle relative -top-0.5"></i></a> #}
  </div>

</div>
{% endblock %}
